import type { NodePath } from '@babel/traverse';
import type { Identifier, MemberExpression } from '@babel/types';
export interface IImport {
    imported: string | 'default' | '*';
    local: NodePath<Identifier | MemberExpression>;
    source: string;
}
export interface IExport {
    exported: string | 'default' | '*';
    local: NodePath;
}
export interface IReexport {
    exported: string | 'default' | '*';
    imported: string | 'default' | '*';
    source: string;
}
export interface IReference {
    name: string;
    path: NodePath<MemberExpression>;
}
export interface IState {
    exportRefs: IReference[];
    exports: IExport[];
    filename: string | null | undefined;
    imports: IImport[];
    reexports: IReexport[];
}
export default function collectExportsAndImports(path: NodePath, filename: string | null | undefined, force?: boolean): IState;
